criehle 发表于 2022-7-8 11:42:53

Draw Order?

Is there an easy way to manipulate the draw order of all objects in a layer with out selected every object and then sending them to the front or back or is this the only way to display the draw order and keep it that way?

EMS_0525 发表于 2022-7-8 12:13:06

tested just enough to make sure it works:

(defun c:DO (/ #Choice #Entsel #Entget #Layer #ssget) (setvar "cmdecho" 0) (setvar "errno" 0) (initget 0 "Back Front") (setq #Choice (getkword "\nDraworder Option : ")) (progn   (if    (not #Choice)   (setq #Choice "Back")   ) ;_ if   (while   (and   (not   (eq (getvar "errno")         52   ) ;_ eq   ) ;_ not   (not #Entsel)   ) ;_ and      (setq    #Entsel (entsel (strcat "\nSelect object on layer to move to "                #Choice                ": "            ) ;_ strcat      ) ;_ entsel      ) ;_ setq      (if #Entsel    (progn      (setq #Layer (cdr (assoc 8 (entget (car #Entsel)))))      (setq #ssget    (ssget "_x"                  (list (cons 410 (getvar "ctab"))                  (cons 8 #Layer)                  ) ;_ list         ) ;_ ssget      ) ;_ setq      (vl-cmdf "_.draworder" #ssget "" #Choice)      (prompt (strcat "\nAll "            (rtos (sslength #ssget) 2 0)            " object(s) on layer \""            #Layer            "\" have been moved to "            #Choice          ) ;_ strcat      ) ;_ prompt    ) ;_ progn      ) ;_ if   ) ;_ while ) ;_ progn (princ))

Lee Mac 发表于 2022-7-8 13:02:52

Map 3D doesn't have the acad command QSELECT?
 
The reason I ask is because I know that's one command that is very undervalued as well as underused in plain Autocad.
页: [1]
查看完整版本: Draw Order?